/* ScrutariLib_SearchEngine - Copyright (c) 2015 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.api.operands.filters;


/**
 *
 * @author Vincent Calame
 */
public class UnknownOperandTypeException extends Exception {

    private final String operandType;

    public UnknownOperandTypeException(String operandType) {
        super("Unknown operand type: " + operandType);
        this.operandType = operandType;
    }

    public String getUnknownOperandType() {
        return operandType;
    }

}
