/* SctServer_API - Copyright (c) 2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.api.storage;

import fr.exemole.sctserver.api.ScrutariSession;
import fr.exemole.sctserver.api.log.QLog;


/**
 *
 * @author Vincent Calame
 */
public interface LogStorage {

    public void log(ScrutariSession scrutariSession, QLog qLog);

    public void log(short logType, String name, String content);

    public int[] getDateIntegerArray(short dateIntegerType, int dateIntegerFilter);

    public String getQLog(int dateInteger);

    public String getLog(short logType, String name);

}
