/* ScrutariLib_SearchEngine - Copyright (c) 2010-2015 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.api.lexieseek;

import net.mapeadores.util.localisation.Lang;
import net.mapeadores.util.text.SubstringPosition;


/**
 *
 * @author Vincent Calame
 */
public interface LexieSeekHandler {

    public void addAlineaOccurrence(int codefiche, int codecorpus, int operandNumber, int alineaInteger, SubstringPosition sourcePosition);

    public void addLangOccurrence(int codemotcle, int codethesaurus, int operandNumber, Lang lang, SubstringPosition sourcePosition, float coverRate);

}
