/* SctServer - Copyright (c) 2011-2014 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.request;

import net.mapeadores.util.localisation.Lang;
import net.scrutari.db.api.codes.CodeList;


/**
 *
 * @author Vincent Calame
 */
public class CountFilter {

    private CodeList corpusCodeList;
    private CodeList baseCodeList;
    private Lang[] langArray;

    public CountFilter() {
    }

    public CodeList getCorpusCodeList() {
        return corpusCodeList;
    }

    public void setCorpusCodeList(CodeList corpusCodeList) {
        this.corpusCodeList = corpusCodeList;
    }

    public CodeList getBaseCodeList() {
        return baseCodeList;
    }

    public void setBaseCodeList(CodeList baseCodeList) {
        this.baseCodeList = baseCodeList;
    }

    public Lang[] getLangArray() {
        return langArray;
    }

    public void setLangArray(Lang[] langArray) {
        this.langArray = langArray;
    }

}
